Imports System.Collections.Generic
Imports System.Text

Public Class SysRealtimeMessageEventArgs
    Inherits EventArgs

    Public Shared ReadOnly MsgStart As New SysRealtimeMessageEventArgs(SysRealtimeMessage.StartMessage)

    Public Shared ReadOnly MsgContinue As New SysRealtimeMessageEventArgs(SysRealtimeMessage.ContinueMessage)

    Public Shared ReadOnly MsgStop As New SysRealtimeMessageEventArgs(SysRealtimeMessage.StopMessage)

    Public Shared ReadOnly MsgClock As New SysRealtimeMessageEventArgs(SysRealtimeMessage.ClockMessage)

    Public Shared ReadOnly MsgTick As New SysRealtimeMessageEventArgs(SysRealtimeMessage.TickMessage)

    Public Shared ReadOnly MsgActiveSense As New SysRealtimeMessageEventArgs(SysRealtimeMessage.ActiveSenseMessage)

    Public Shared ReadOnly MsgReset As New SysRealtimeMessageEventArgs(SysRealtimeMessage.ResetMessage)

	Private m_message As SysRealtimeMessage

	Private Sub New(message As SysRealtimeMessage)
		Me.m_message = message
	End Sub

	Public ReadOnly Property Message() As SysRealtimeMessage
		Get
			Return m_message
		End Get
	End Property
End Class
