

Public Class Waveform

    Private waveData As Single()

    Public Sub New(ByVal waveData As Single())
        If waveData Is Nothing Then
            Throw New ArgumentNullException("waveData")
        End If
        Me.waveData = New Single(waveData.Length - 1) {}
        waveData.CopyTo(Me.waveData, 0)
    End Sub

    ' -------------------------------------------------------------------- get waveform sample at the specified index
    '
    Default Public ReadOnly Property Item(ByVal index As Integer) As Single
        Get
            Return waveData(index)
        End Get
    End Property

    ' -------------------------------------------------------------------- get the length of the waveform
    Public ReadOnly Property Length() As Integer
        Get
            Return waveData.Length
        End Get
    End Property

End Class
