

Imports System.Runtime.InteropServices


Public Enum TimeType
	Milliseconds = &H1
	Samples = &H2
	Bytes = &H4
	Smpte = &H8
	Midi = &H10
	Ticks = &H20
End Enum


' ------------------------------------------------------------- the Windows Multimedia MMTIME structure
<StructLayout(LayoutKind.Explicit)> _
Public Structure Time
	<FieldOffset(0)> _
	Public type As Integer

	<FieldOffset(4)> _
	Public milliseconds As Integer

	<FieldOffset(4)> _
	Public samples As Integer

	<FieldOffset(4)> _
	Public byteCount As Integer

	<FieldOffset(4)> _
	Public ticks As Integer

	'
	' SMPTE
	'

	<FieldOffset(4)> _
	Public hours As Byte

	<FieldOffset(5)> _
	Public minutes As Byte

	<FieldOffset(6)> _
	Public seconds As Byte

	<FieldOffset(7)> _
	Public frames As Byte

	<FieldOffset(8)> _
	Public framesPerSecond As Byte

	<FieldOffset(9)> _
	Public dummy As Byte

	<FieldOffset(10)> _
	Public pad1 As Byte

	<FieldOffset(11)> _
	Public pad2 As Byte

	'
	' MIDI
	'

    <FieldOffset(4)> _
    Public songPositionPointer As Integer

End Structure
